Skip to contents

# CPR check

Source: `R/cpr_tools.R`
`cpr_check.Rd`

Checking validity of cpr number. Vectorised.

## Usage

    cpr_check(cpr)

## Arguments

cpr

  cpr-numbers as ddmmyy"-."xxxx or ddmmyyxxxx. Also mixed formatting. Vector or data frame column.

## Value

Logical vector of cpr validity

## Examples

    fsd<-c("2310450637", "010190-2000", "010115-4000",
    "300450-1030","010150-4021")
    cpr_check("2310450637")
    #> OBS: as per 2007 not all valid CPR numbers apply to modulus 11 rule.
    #>
    #> See the vignette 'Toolbox'
    #> [1] TRUE
    cpr_check(fsd)
    #> OBS: as per 2007 not all valid CPR numbers apply to modulus 11 rule.
    #>
    #> See the vignette 'Toolbox'
    #> [1]  TRUE FALSE FALSE FALSE FALSE
    all(cpr_check(fsd))
    #> OBS: as per 2007 not all valid CPR numbers apply to modulus 11 rule.
    #>
    #> See the vignette 'Toolbox'
    #> [1] FALSE